21 Replies Latest reply: Jul 11, 2012 7:56 AM by ojbravo RSS

    SpryMenu 2 Upload Problem




      It might not be new problem! Everything works on the local host on all the major browsers. When uploading the test page to server (Bluehost), it gives me these two errors:


      SpryMenu.js requires SpryWidget.js!


      and then:


      SpryMenuBarKeyNavigationPlugin.js requires SpryMenu.js


      I couldn't figure it out based on the previous posts, that's why I'm posting this similar question.


      FYI, I have done styling, moved the css files to a unified location, Spryxxx.js files are in the defined Spry-UI-1.7/includes/... location. And here's the start of html file:


      <link href="css/style.css" rel="stylesheet" type="text/css" />
      <link href="css/SpryMenuBasicSkin.css" rel="stylesheet" type="text/css" />
      <link href="css/SpryMenuBasic.css" rel="stylesheet" type="text/css" />
      <link href="css/style-slideshow.css"  rel="stylesheet" type="text/css"  />

      <script src="Spry-UI-1.7/includes/SpryDOMUtils.js" type="text/javascript"></script>
      <script src="Spry-UI-1.7/includes/SpryDOMEffects.js" type="text/javascript"></script>
      <script src="Spry-UI-1.7/includes/SpryWidget.js" type="text/javascript"></script>
      <script src="Spry-UI-1.7/includes/SpryMenu.js" type="text/javascript"></script>
      <script src="Spry-UI-1.7/includes/plugins/MenuBar2/SpryMenuBarKeyNavigationPlugin.js" type="text/javascript"></script>
      <script src="Spry-UI-1.7/includes/plugins/MenuBar2/SpryMenuBarIEWorkaroundsPlugin.js" type="text/javascript"></script>


      Appreciate your feedbacks.